/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreJumplist;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreJumplistRecord extends TableRecordImpl<VCoreJumplistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_jumplist.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_jumplist.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_jumplist.jumplist</code>.
     */
    public void setJumplist(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_jumplist.jumplist</code>.
     */
    public String getJumplist() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreJumplistRecord
     */
    public VCoreJumplistRecord() {
        super(VCoreJumplist.V_CORE_JUMPLIST);
    }

    /**
     * Create a detached, initialised VCoreJumplistRecord
     */
    public VCoreJumplistRecord(Integer fkElement, String jumplist) {
        super(VCoreJumplist.V_CORE_JUMPLIST);

        setFkElement(fkElement);
        setJumplist(jumplist);
        resetChangedOnNotNull();
    }
}
